# LF1 Klausur 1

## Bedürfnisse

- **Bedürfnis:** Wunsch ein subjektives Mangelempfinden zu beseitigen.
- **Bedarf:** nur die Bedürfnisse, die befriedigt werden können und wollen
- **Nachfrage:** ist der Bedarf

- **Dringlichkeit von Bedürfnissen**

  - **Existenzbedürfnis:** notwendig zur Erhaltung des Lebens
    > Nahrung, Kleidung, Wohnen, Bildung, Gesundheit

  - **Kultur- und Luxusbedürfnis:** erhöht den Lebensstandart
    > Kunst, Unterhaltung, Sozialleben, gehobenere Nahrung und Kleidung

- **Bedürfnisbefriedigung**

  - **Individualbedürfnisse:** Befriedigung durch einzelne selbst möglich
    > Nahrung, Kleidung, Wohnung

  - **Kollektivbedürfnisse:** abgeleitet aus Individualbedürfnissen, können durch die Gemeinsschaft befriedigt werden
    > Bildung, Infrastruktur, Umwelt

## Güter

- **Güter:** Mittel, die Bedürfnisse befriedigen
- Bedürfnisse sind unbegrenzt, Güter sind begrenzt

- **Freie Güter:** sind sehr häufig vohanden
  > Luft, Sonnenlicht, Wasser

- **Knappe Güter:** nicht in ausreichender Menge verfügbar
  - begrenze Rohstoffe
  - aufwändig zu produzieren
  - Regional unterschiedlich verteilt

  - **materielle Güter:** Sachen
    > |                 |                    | Produktionsgüter              | Konsumgüter                   |
    > | --------------- | ------------------ | ----------------------------- | ----------------------------- |
    > |                 |                    | für Herstellung anderer Güter | für unmittelbare Befriedigung |
    > | Verbrauchsgüter | einfach verwendbar | Treibstoff                    | Lebensmittel, Heizmaterial    |
    > | Gebrauchsgüter  | mehrfach benutzbar | Möbel, Maschinen              | Geschirr                      |

  - **immaterielle Güter:**

    - **Rechte**
      > Marken, Patente, Mieten

    - **Dienstleistungen**
      > Transport, Versicherungen, Zahlungsverkehr

- Knappheit von Güter zwingt zu sparsamen Umgang im Sinne der Möglichkeiten

## ökonomisches Prinzip

- wirtschaftliches Handeln

- **Maximalprinzip:** möglichst hoher Ertrag mit gegebenen Mitteln
  > möglichst viele Portionen für 100€

- **Minimalprinzip:** gegebenen Ertrag mit möglichst geringen Mitteln
  > 10 Portionen für den kleinsten Preis

- **Bedarfsdeckung:**
  - **Individuelle Bedarfsdeckung:** Bedarf eines Einzelnen wird durch die Mittel des Einzelnen selber gedeckt
    > Nahrung, Kleidung, Wohnung

  - **Kollektive Bedarfsdeckung:** Bedarf einer Gemeinschaft wird durch die Mittel dieser Gemeinschaft gedeckt
    > Bildung, Infrastruktur, Umwelt

## Produktionsfaktoren

- **Produktionsfaktoren:** Mittel zur Herstellung von Gütern
- Erzielen von möglichst günstigem Verhältnis zwischen Ertrag und Faktoreinsatz
- **Substitution:** Austausch von Produktionsfaktoren zur Optimierung

- **Originäre Faktoren:** bereits vorhanden, müssen nicht erstellt werden
  - Natur
  - Arbeitsleistung

- **Derivative Faktoren:** müssen erst erstellt werden
  - Kapital
  - Wissen

- **Elementarfaktoren**

  - **Arbeitsleistung:** ausführende Arbeit

  - **Betriebsmittel:** notwendige Infrastruktur zur Leistungserstellung
    > Grundstücke, Maschinen, Transport

  - **Werkstoffe:** verarbeitete Güter
    - Rohstoffe
    - Hilfsstoffe
    - Betriebsstoffe
    - Fertigteile
    - Waren

  - **Rechte**
    > Genehmigungen, Patente, Lizenzen

- **Dispositiver Faktor:** Leistung des Menschen, die Produktionsfaktoren zu kombinieren (Disponent)

- **Geld:** Hilfsmittel zur Beschaffung von Produktionsfaktoren
