# LF3 Klausur 1

Chapter 3-4

## Kommunikationsmodell

|   |   |
| - | - |
| Souce | Quelle |
| Transmitter | Sender |
| Medium | Medium |
| Receiver | Empfänger |
| Destination | Ziel |

## Kommunikationsprotokoll

- Regeln um erfolgreich Nachrichten austauschen zu können
- Die umfassen unter anderem
  - Sender und Empfänger
  - Übertragungmedium
    > Papier, Telefon, Zeichensprache
  - Sprache und Grammatik
  - Geschwindigkeit
  - Bestätigung über den korrekten Erhalt von Nachrichten

### Timing
- bestimmt wie viele Informationen in einem gewissen Zeitraum übertragen werden können

### Nachrichtengröße
- bestimmt wie viel Inhalt pro Nachricht übertragen werden darf
- ggf muss die Nachricht geteilt und Stück für Stück übertragen werden

### Encapsulation
- Nachrichten müssen Sender und Empfänger Adressen enthalten
- Encapsulation ist ein Vorgang, bei dem Nachrichten mit zusätlichen Informationen angereichert werden, die mehr über den Inhalt, Sender und Empfänger enthalten.

### Nachrichtenformat
- Struktur der Nachricht
- richtet sich nach dem Inhalt

### Encoding
- Nachtichteninhalt muss in eine vom Computer verarbeitbare Form gebracht werden
- Text > Bits > Licht Wellen

### Kommunikations Pattern
- Regeln Bestätigungzyklen beim Empfang von Nachrichten

> .> Hej du? Ich will dir was sagen!
> .< Ja, nur zu!
> .> Morgen gibts Pizza!
> .< Ok.

## Standarts
- beschreiben eine Menge von Regeln
- wer diese Regel einhält kann sich als "zu dem Standart kompatibel" erklären (complient)
- Internet Standarts ermöglichen, dass alle Geräte in einem Netzwerk zueinander kompatibel sind

- ein Standart wird erst als "Request for Comments" (RFC) veröffentlicht
- im Anschluss kann dieser akzeptiert werden
- viele Internet Standarts werden von der IETF verwaltet

## Protokoll Stack
- je nach Funktion gibt es in einem Netzwerk verschiedene Protokolle
- diese können miteinander kombiniert werden (stacking)
- darüber und darunter liegende Protokolle können ausgetauscht werden, das beeinflusst aber die Funktionsweise des aktuellen Protokolls nicht


|   | Nummer  | TCP/IP | ISO/OSI  |   |   |
| - | - | - | - | - | - |
| Obere Schichten | 7 | Anwendungsschicht | Anwendungsschicht | Schnittstelle zum Nutzer | Browser, DNS, HTTP, SMTP, IMAP |
| :: | 6 | :: | Darstellungsschicht | definiert wie Daten ausgegeben und eingegeben werden | :: |
| :: | 5 | :: | Sitzungsschicht | | :: |
| Untere Schichten | 4 | Transportschicht | Transportschicht | Stellt Kommunikationskanäle zwischen Geräten bereit | TCP, UDP, Firewalling |
| :: | 3 | Internetschicht | Netzwerkschicht | stellt Platform bereit um andere Geräte zu erreichen | IP, Routing |
| :: | 2 | Netzzugangsschicht | Bitübertragungsschicht | überträgt Daten über ein physikalisches Medium | Ethernet, DSL |
| :: | 1 | :: | physikalische Schicht | Definiert die physikalischen Eigenschaften eines Medium, über das Daten übertragen werden können | twisted pair, single mode fiber, hub, repeater |

## Ethernet

- MAC Adressen

| # Bytes |||
|-|-|-|
| 7 | Preamble | Pattern aus 0 und 1 zur Zeitsynchronisation |
| 1 | Start Frame Delimiter | Bitfolge Markiert den Beginn des Frames |
| 6 | Ziel MAC Adresse | kann unicast, multicast oder broadcast sein |
| 6 | Absender MAC Adresse | nur usicast |
| 2 | Typ der Nachricht / Länge | Jedes Protokoll das in Data vorkommen kann hat einen eigenen Identifier größer 0x0600, ist der Identifier kleiner, dann gibt er die Länge des Datensegments an. Letzteres ist veraltet und der Datanstromm wird mittlerweile durch ein Steuersymbol beendet. |
| 46-1500 | Nutzdaten | Ein Frame muss mindestens 64 Byte lang sein. Ist es kleiner, wird der Datenbereich mit Padding aufgefüllt. Ein Frame darf maximal 1518 Byte lang sein. |
| 4 | Frame Check Sequence | Prüfsumme um Übertragungsfehler zu erkennen |

### MAC Adressen
- 48 Bit = 6 Byte lang

### Broadcast
- Ziel Adresse FF:FF:FF:FF:FF:FF
- Frame wird an alle Host im Netzsegent weiter geleitet

### Broadcast Domain


## Netzwerk Hierachie

- Access Layer
  - Netzwerkzugriff für Endgeräte
- Distribution Layer
  - verteilt zu Access Layer
  - letzte Meile
- Core Layer
  - weite Transporte
  - oft redundant

## Netzwerkgeräte

### Hub
- erlaubt mehreren Geräten einer Kollosionsdomäne beizutreten
- veraaaaltet

### Switch
- merkt sich bei eingehenden Verbindungen die MAC Adressen und leitet Frames mit der Adresse als Ziel an den entsprechenden Port
- ist die Adresse unbekannt wir das Frame auf allen Port ausgegeben (flooding)

#### MAC-Adresstabellen
- notiert MAC Adressen die als Source Adresse auf einem gewissen Port rein kommen
- die Zieladresse eingehender Frames wird mit der Tabelle abgeglichen und auf dem entsprechenden Port ausgegeben
- sollte die Zieladresse nicht in der Tabelle stehen, wir das Frame geflutet
- fluten bedeutet dass das Frame auf allen Ports, außer auf dem Port auf dem es rein gekommen ist, ausgegeben wird

### Braodcast-Domains
- ein Netzwerk aus ein oder mehreren Switchen
- bei großen Netzwerken kann Broadcast überhand nehmen
- segmentieren von Broadcast Domains durch Router

## ARP
- bestimmt die MAC-Adresse unter der eine IPv4 Adresse erreichbar ist
- sendet ARP Anfrage als Broadcast für eine bestimmte IP
- Host mit der IP beantwortet die Anfrage
- in der Absenderadresse steht dann die MAC-Adresse für die IP
- das Tupel (IP-Adresse, MAC-Adresse) wird dann in der **ARP Tabelle** beim anfragenden Host hinterlegt
